### Type parameters

- #### A

### Hierarchy

- BracketPair
  - ExtraPair

## Index

### Constructors

- constructor

### Properties

- action
- condition

## Constructors

### constructor

- new BracketPair(condition: Optional<A>, action: Optional<A>): BracketPair

- - Defined in models/rule.ts:27

  #### Parameters

  - ##### condition: Optional<A>

  - ##### action: Optional<A>

  #### Returns BracketPair

## Properties

### action

action: Optional<A>

- Defined in models/rule.ts:27

### condition

condition: Optional<A>

- Defined in models/rule.ts:26

Generated using TypeDoc